com.streambase.sb.monitor

## Enum StatsUtil.What

- java.lang.Object
- - java.lang.Enum<StatsUtil.What>
  - - com.streambase.sb.monitor.StatsUtil.What

- All Implemented Interfaces:
    Serializable, Comparable<StatsUtil.What>
  Enclosing class:
    StatsUtil

      public static enum StatsUtil.What
      extends Enum<StatsUtil.What>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEGIN`
    `CONTAINER`
    `END`
    `GC`
    `MODULE`
    `OPERATOR`
    `QUEUE`
    `STREAM`
    `SYSTEM`
    `THREAD`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatsUtil.What` | `fromOrdinal(int ordinal)`
    `KeyRegistry` | `getKeys()`
    `Tuple` | `marshal(Tuple t, StatTuplev3 data)` Marshal data into tuple, data would be recycled
    `StatTuplev3` | `newStatTuple(int cycle, long time)` Create a new StatTuple with given cycle and time
    `StatTuplev3` | `newStatTuple(int cycle, long time, long id)` Special form of StatTuple that has ID, should not be called if this What does not register an ID field.
    `void` | `recycle(StatTuplev3 st)` Recycle the stat tuple
    `StatTuplev3` | `unmarshal(Tuple t)` Un-marshal a tuple to a StatTuple
    `static StatsUtil.What` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StatsUtil.What[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BEGIN

          public static final StatsUtil.What BEGIN

    - #### END

          public static final StatsUtil.What END

    - #### SYSTEM

          public static final StatsUtil.What SYSTEM

    - #### THREAD

          public static final StatsUtil.What THREAD

    - #### OPERATOR

          public static final StatsUtil.What OPERATOR

    - #### GC

          public static final StatsUtil.What GC

    - #### STREAM

          public static final StatsUtil.What STREAM

    - #### QUEUE

          public static final StatsUtil.What QUEUE

    - #### MODULE

          public static final StatsUtil.What MODULE

    - #### CONTAINER

          public static final StatsUtil.What CONTAINER

  - ### Method Detail

    - #### values

          public static StatsUtil.What[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatsUtil.What c : StatsUtil.What.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatsUtil.What valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getKeys

          public KeyRegistry getKeys()

    - #### fromOrdinal

          public static StatsUtil.What fromOrdinal(int ordinal)

    - #### marshal

          public Tuple marshal(Tuple t,
                               StatTuplev3 data)

      Marshal data into tuple, data would be recycled
      Parameters:
        `t` -
        `data` -
      Returns:
        a statistics tuple

    - #### recycle

          public void recycle(StatTuplev3 st)

      Recycle the stat tuple
      Parameters:
        `st` -

    - #### unmarshal

          public StatTuplev3 unmarshal(Tuple t)
                                throws NullValueException,
                                       TupleException

      Un-marshal a tuple to a StatTuple
      Parameters:
        `t` -
      Returns:
        statistics data
      Throws:
        `TupleException`
        `NullValueException`

    - #### newStatTuple

          public StatTuplev3 newStatTuple(int cycle,
                                          long time)

      Create a new StatTuple with given cycle and time
      Parameters:
        `cycle` -
        `time` -
      Returns:
        statistics data

    - #### newStatTuple

          public StatTuplev3 newStatTuple(int cycle,
                                          long time,
                                          long id)

      Special form of StatTuple that has ID, should not be called if this What does not register an ID field.
      Parameters:
        `cycle` -
        `time` -
        `id` -
      Returns:
        statistics data

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.